/*
 * Copyright (c) 2018-2021. data2viz sàrl.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */

package io.data2viz.geom


public data class Vector(val vx: Double = 0.0, val vy: Double = 0.0) {
    public operator fun plus(vector: Vector): Vector = Vector(vx + vector.vx, vy + vector.vy)
    public operator fun minus(vector: Vector): Vector = Vector(vx - vector.vx, vy - vector.vy)
}
